import NodeModel from '../model/NodeModel';
import ThemeType from '../model/ThemeType';
import Theme from './Theme';
declare class ThemeFactory {
    private static prismTheme;
    private static darkPrismTheme;
    private static classicTheme;
    private static robotTheme;
    static createById(id: ThemeType): Theme;
    static create(model: NodeModel): Theme;
}
export default ThemeFactory;
